## ros-jazzy-imu-sensor-broadcaster 4.15.0

=== debian/changelog ===
ros-jazzy-imu-sensor-broadcaster (4.15.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Oct 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.14.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.13.0-1bookworm) bookworm; urgency=high

  * Fixes tests to work with use_global_arguments NodeOptions parameter  (#1256 <https://github.com/ros-controls/ros2_controllers/issues/1256>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.12.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Aug 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.12.0-1bookworm) bookworm; urgency=high

  * Add missing includes (#1226 <https://github.com/ros-controls/ros2_controllers/issues/1226>)
  * Change the subscription timeout in the tests to 5ms (#1219 <https://github.com/ros-controls/ros2_controllers/issues/1219>)
  * Unused header cleanup (#1199 <https://github.com/ros-controls/ros2_controllers/issues/1199>)
  * Fix WaitSet issue in tests  (#1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>)
  * Fix parallel gripper controller CI (#1202 <https://github.com/ros-controls/ros2_controllers/issues/1202>)
  * Contributors: Christoph Fröhlich, Henry Moore, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.11.0-1bookworm) bookworm; urgency=high

  * added changes corresponding to the logger and clock propagation in ResourceManager (#1184 <https://github.com/ros-controls/ros2_controllers/issues/1184>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.10.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.9.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Jun 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.8.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 May 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.7.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Mar 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.6.0-1bookworm) bookworm; urgency=high

  * Add test_depend on hardware_interface_testing (#1018 <https://github.com/ros-controls/ros2_controllers/issues/1018>)
  * Fix tests for using new get_node_options API (#840 <https://github.com/ros-controls/ros2_controllers/issues/840>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.5.0-1bookworm) bookworm; urgency=high

  * Add tests for interface_configuration_type consistently (#899 <https://github.com/ros-controls/ros2_controllers/issues/899>)
  * Let sphinx add parameter description with nested structures to documentation (#652 <https://github.com/ros-controls/ros2_controllers/issues/652>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 30 Jan 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.4.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 10 Jan 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.3.0-1bookworm) bookworm; urgency=high

  * Add few warning flags to error (#961 <https://github.com/ros-controls/ros2_controllers/issues/961>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.2.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.1.0-1bookworm) bookworm; urgency=high

  * Increase test coverage of interface configuration getters (#856 <https://github.com/ros-controls/ros2_controllers/issues/856>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 30 Nov 2023 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (4.0.0-1bookworm) bookworm; urgency=high

  * fix tests for API break of passing controller manager update rate in init method (#854 <https://github.com/ros-controls/ros2_controllers/issues/854>)
  * Adjust tests after passing URDF to controllers (#817 <https://github.com/ros-controls/ros2_controllers/issues/817>)
  * Contributors: Bence Magyar, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Nov 2023 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (3.17.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Oct 2023 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (3.16.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Sep 2023 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (3.15.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (3.14.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Aug 2023 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (3.13.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Aug 2023 16:00:00 -0000

ros-jazzy-imu-sensor-broadcaster (3.12.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Jul 2023 16:00:00 -0000


